%{?scl:%scl_package test-createrepo}
%{!?scl:%global pkg_name %{name}}
%{?java_common_find_provides_and_requires}

Name:		%{?scl_prefix}test-createrepo
Version:	1
Release:	1%{?dist}
Summary:	%{name} package

License:	GPL
URL:		http://www.example.com/

BuildArch: noarch

Source0:        org.eclipse.linuxtools.rpm.createrepo.tests_1.0.0.201501211152.jar

BuildRequires: %{?scl_prefix}tycho
BuildRequires: %{?scl_prefix}eclipse-swtbot

%{?scl:Requires: %scl_runtime}

%description
%{summary}.

%prep
%setup -c -T
cp %{SOURCE0} .

%build
cat <<EOF > .xmvn-reactor
<?xml version="1.0" encoding="UTF-8"?>
<metadata xmlns="http://fedorahosted.org/xmvn/METADATA/2.0.0">
  <artifacts>
    <artifact>
      <groupId>org.eclipse.linuxtools.rpm</groupId>
      <artifactId>org.eclipse.linuxtools.rpm.createrepo.tests</artifactId>
      <version>1.0.0-SNAPSHOT</version>
      <path>$(pwd)/$(basename %{SOURCE0})</path>
      <properties>
        <type>eclipse-test-plugin</type>
        <qualifiedVersion>1.0.0.201501211152</qualifiedVersion>
      </properties>
    </artifact>
  </artifacts>
</metadata>
EOF

%install
scl enable %{scl_maven} %{scl} - <<"EOF"
set -x
%mvn_install -X
EOF

cat %{buildroot}%{_datadir}/maven-metadata/test-createrepo.xml

%files -f .mfiles

%changelog
* Fri Jan 09 2015 Mat Booth <mat.booth@redhat.com> - 1-1
- rebuilt
